.. AUTO-GENERATED FILE. DO NOT EDIT. Start JEF Store Google login ============================ Summary ------- - **Source repository:** ``jef-systems/jef-store-backend`` - **Source SHA:** ``07d2489d50cb131c466864ee7efe8e81fa498460`` - **Source run id:** ``30743812576`` - **Module:** ``Store`` - **Lambda function:** ``jef-store-start-google-login`` - **HTTP method:** ``GET`` - **Invocation mode:** ``sync`` - **Package mode:** ``no-package`` - **API category:** ``Store Complex Sync No Package GET APIs`` - **API path:** ``/store/complex-sync-no-packages/auth/google/start`` - **Endpoint URL:** ``https://api.jefoffice.com/store/complex-sync-no-packages/auth/google/start`` - **Documentation scope:** ``lambda-complex-sync-no-packages`` Synchronous Lambda Complex Rule ------------------------------- This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response. Description ----------- Creates a single-use PKCE transaction and redirects the browser to Amazon Cognito Google login. Payload Example --------------- .. code-block:: json { "return_to": "/account" } Payload Schema -------------- .. code-block:: json { "root": { "type": "M", "required": true, "additional_properties": false, "attributes": { "return_to": { "type": "S", "required": false, "description": "Safe same-origin path used after login.", "max_length": 2048, "example": "/account" } } } } Response Schema --------------- .. code-block:: json { "root": { "type": "M", "required": true, "additional_properties": false, "attributes": {} } } CMD curl -------- .. code-block:: bat curl.exe -X GET "https://api.jefoffice.com/store/complex-sync-no-packages/auth/google/start" PowerShell curl --------------- .. code-block:: powershell curl.exe -X GET "https://api.jefoffice.com/store/complex-sync-no-packages/auth/google/start"